class SubRole < Attribute
  
  belongs_to :role
  has_and_belongs_to_many :users
  #has_and_belongs_to_many :statuses, :autosave => true, :dependent => :destroy
  has_and_belongs_to_many :tags, :class_name => "SubRoleTag", :autosave => true

  # Get an sub_role from key
  def self.get_sub_role_from_key(key)
    self.first(:conditions => {:key => key})
  end
  
end